---
title: Overview
section_title: API
type: api
layout: docs
order: 0
parent_section: docs
section_order: 5
examples:
---

Here are the main web specifications and third-party libraries implemented in Exokit.

## Web

| Tech          | Type     | Link  | in Exokit |
| ------------- |:-------------:|:-----:|-------:|
| WebVR      | Spec | [WebVR](https://developer.mozilla.org/en-US/docs/Web/API/WebVR_API) | [Source](https://github.com/exokitxr/exokit/blob/master/src/core.js) |
| WebXR      | Spec | [WebXR](https://github.com/immersive-web/webxr) | [Source](https://github.com/exokitxr/exokit/blob/master/src/XR.js ) |
| React      | Library | [React](https://reactjs.org/docs/getting-started.html) | [Source](https://github.com/exokitxr/exokit/blob/master/src/core.js) |
| HTML5      | Spec  | [HTML5](https://developer.mozilla.org/en-US/docs/Web/Guide/HTML/HTML5)  | [Source](https://github.com/exokitxr/exokit/blob/master/src/core.js) |
| CSS        | Spec  | [CSS](https://developer.mozilla.org/en-US/docs/Web/CSS) | [Source](https://github.com/exokitxr/exokit/blob/master/src/core.js) |
| THREE.js   | Library  | [THREE.js](https://threejs.org/docs/) | [Source](https://github.com/exokitxr/exokit/blob/master/lib/three-min.js ) |
| Express    | Library  | [Express](https://expressjs.com/en/api.html) | [Source](https://github.com/exokitxr/exokit/blob/master/src/core.js) |
| WebSockets | Spec  | [WebSockets](https://developer.mozilla.org/en-US/docs/Web/API/WebSockets_API) | [Source](https://github.com/exokitxr/exokit/blob/master/src/core.js) |
| Fetch API   | Spec  | [Fetch API](https://developer.mozilla.org/en-US/docs/Web/API/Fetch_API) | [Source](https://github.com/exokitxr/exokit/blob/master/src/core.js) |
| Web Workers| Spec  | [Web Workers](https://developer.mozilla.org/en-US/docs/Web/API/Web_Workers_API) | [Source](https://github.com/exokitxr/exokit/blob/master/src/core.js) |
| WebGL      | Spec | [WebGL](https://developer.mozilla.org/en-US/docs/Web/API/WebGL_API) | [Source](https://github.com/exokitxr/exokit/tree/master/deps/exokit-bindings/webglcontext ) |
| Canvas API   | Spec | [Canvas 2D](https://developer.mozilla.org/en-US/docs/Web/API/Canvas_API) | [Source]( https://github.com/exokitxr/exokit/tree/master/deps/exokit-bindings/canvas) |
| WebAudio   | Spec | [WebAudio](https://developer.mozilla.org/en-US/docs/Web/API/Web_Audio_API) | [Source](https://github.com/exokitxr/exokit/tree/master/deps/exokit-bindings/webaudiocontext ) |
| WebRTC     | Spec | [WebRTC](https://developer.mozilla.org/en-US/docs/Web/API/WebRTC_API) | [Source](https://github.com/exokitxr/exokit/tree/master/deps/exokit-bindings ) |

## Native

| Tech          | Type     | Link  | in Exokit |
| ------------- |:-------------:|:-----:|-------:|
| OpenVR     | SDK | [OpenVR](https://github.com/ValveSoftware/openvr/wiki/API-Documentation) | [Source]( https://github.com/exokitxr/exokit/tree/master/deps/openvr) |
| OVR        | SDK | [OVR from Oculus](https://developer.oculus.com/documentation/pcsdk/latest/concepts/pcsdk-intro/) | [Source]( https://github.com/exokitxr/exokit/tree/master/deps/oculus) |
| Oculus Mobile| SDK | [Oculus Mobile SDK](https://developer.oculus.com/documentation/mobilesdk/latest/concepts/book-intro/) | [Source]( https://github.com/exokitxr/exokit/tree/master/deps/oculus-mobile) |
| Google VR| SDK | [Google VR SDK](https://developers.google.com/vr/reference/) | [Source](https://github.com/exokitxr/exokit/tree/master/deps/exokit-bindings/ ) |
| Magic Leap       | SDK | [Magic Leap SDK](https://www.magicleap.com/creator) | [Source](https://github.com/exokitxr/exokit/tree/master/deps/exokit-bindings/magicleap ) |
| Leap Motion| SDK | [Leap Motion Orion](https://developer.leapmotion.com/orion/) | [Source](https://github.com/exokitxr/exokit/tree/master/deps/exokit-bindings/leapmotion ) |
| Zed| SDK | [Zed SDK](https://www.stereolabs.com/developers/) | [Source](https://github.com/exokitxr/exokit/tree/master/deps/exokit-bindings/ ) |


## Platforms

| Tech          | Type     | Link  | in Exokit |
| ------------- |:-------------:|:-----:|-------:|
| Node       | Platform | [Node](https://nodejs.org/en/docs/) | [Source](https://github.com/modulesio/node-magicleap) |
| Chromium   | Platform | [Chromium](https://www.chromium.org/developers) | [Source](https://github.com/exokitxr/exokit/tree/master/deps/exokit-bindings ) |
